
#include "MacroPatternMatch.h"

#include "HROOTCoreTObject.h"

#include "HROOTHistTH2.h"

#include "TH2Poly.h"

#include "HROOTHistTH2Poly.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH2Poly_fill1_PROTECTED ()

#define IS_TH2Poly_fillN1_PROTECTED ()

#define IS_TH2Poly_GetBinContent2_PROTECTED ()

#define IS_TH2Poly_GetBinContent3_PROTECTED ()

#define IS_TH2Poly_GetBinError2_PROTECTED ()

#define IS_TH2Poly_GetBinError3_PROTECTED ()

#define IS_TH2Poly_integral1_PROTECTED ()

#define IS_TH2Poly_integral2_PROTECTED ()

#define IS_TH2Poly_setBinContent2_PROTECTED ()

#define IS_TH2Poly_setBinContent3_PROTECTED ()

#define IS_TH2Poly_setBinError2_PROTECTED ()

#define IS_TH2Poly_setBinError3_PROTECTED ()
TH2_DEF_VIRT(TH2Poly)
TH1_DEF_VIRT(TH2Poly)
TNAMED_DEF_VIRT(TH2Poly)
TATTLINE_DEF_VIRT(TH2Poly)
TATTFILL_DEF_VIRT(TH2Poly)
TATTMARKER_DEF_VIRT(TH2Poly)
TOBJECT_DEF_VIRT(TH2Poly)
DELETABLE_DEF_VIRT(TH2Poly)
TH2POLY_DEF_VIRT(TH2Poly)
TH2POLY_DEF_NONVIRT(TH2Poly)
TH2POLY_DEF_ACCESSOR(TH2Poly)

