
#include "MacroPatternMatch.h"

#include "HROOTHistTH2.h"

#include "HROOTCoreTArrayS.h"

#include "TH2S.h"

#include "HROOTHistTH2S.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH2S_fill1_PROTECTED ()
TH2_DEF_VIRT(TH2S)
TARRAYS_DEF_VIRT(TH2S)
TH1_DEF_VIRT(TH2S)
TNAMED_DEF_VIRT(TH2S)
TATTLINE_DEF_VIRT(TH2S)
TATTFILL_DEF_VIRT(TH2S)
TATTMARKER_DEF_VIRT(TH2S)
TOBJECT_DEF_VIRT(TH2S)
DELETABLE_DEF_VIRT(TH2S)
TARRAY_DEF_VIRT(TH2S)
TH2S_DEF_VIRT(TH2S)
TH2S_DEF_NONVIRT(TH2S)
TH2S_DEF_ACCESSOR(TH2S)

