
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "HROOT-histType.h"

#include "HROOTHistTGraph.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "HROOTCoreTObject.h"

#include "STDDeletable.h"


#define TGRAPHASYMMERRORS_DECL_VIRT(Type) \
void Type##_SetPointErrorA ( Type##_p p, int i, double exl, double exh, double eyl, double eyh );


#define TGRAPHASYMMERRORS_DECL_NONVIRT(Type) \
Type##_p Type##_newTGraphAsymmErrors ( int n, double* x, double* y, double* exl, double* exh, double* eyl, double* eyh );


#define TGRAPHASYMMERRORS_DECL_ACCESSOR(Type) \



#define TGRAPHASYMMERRORS_DEF_VIRT(Type) \
void Type##_SetPointErrorA ( Type##_p p, int i, double exl, double exh, double eyl, double eyh ) {\
((TYPECASTMETHOD(Type, SetPointErrorA, TGraphAsymmErrors))(p))->SetPointError(i, exl, exh, eyl, eyh);\
}


#define TGRAPHASYMMERRORS_DEF_NONVIRT(Type) \
Type##_p Type##_newTGraphAsymmErrors ( int n, double* x, double* y, double* exl, double* exh, double* eyl, double* eyh ) {\
Type* newp=new Type(n, x, y, exl, exh, eyl, eyh);return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define TGRAPHASYMMERRORS_DEF_ACCESSOR(Type) \



TGRAPH_DECL_VIRT(TGraphAsymmErrors)
TNAMED_DECL_VIRT(TGraphAsymmErrors)
TATTLINE_DECL_VIRT(TGraphAsymmErrors)
TATTFILL_DECL_VIRT(TGraphAsymmErrors)
TATTMARKER_DECL_VIRT(TGraphAsymmErrors)
TOBJECT_DECL_VIRT(TGraphAsymmErrors)
DELETABLE_DECL_VIRT(TGraphAsymmErrors)
TGRAPHASYMMERRORS_DECL_VIRT(TGraphAsymmErrors)
TGRAPHASYMMERRORS_DECL_NONVIRT(TGraphAsymmErrors)
TGRAPHASYMMERRORS_DECL_ACCESSOR(TGraphAsymmErrors)

#ifdef __cplusplus
}
#endif

