
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "HROOT-histType.h"

#include "HROOTHistTH2.h"

#include "HROOTCoreTArrayF.h"

#include "HROOTHistTH1.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "HROOTCoreTObject.h"

#include "STDDeletable.h"

#include "HROOTCoreTArray.h"

#include "HROOT-coreType.h"


#define TH2F_DECL_VIRT(Type) \



#define TH2F_DECL_NONVIRT(Type) \
Type##_p Type##_newTH2F ( const char* name, const char* title, int nbinsx, double xlow, double xup, int nbinsy, double ylow, double yup );


#define TH2F_DECL_ACCESSOR(Type) \



#define TH2F_DEF_VIRT(Type) \



#define TH2F_DEF_NONVIRT(Type) \
Type##_p Type##_newTH2F ( const char* name, const char* title, int nbinsx, double xlow, double xup, int nbinsy, double ylow, double yup ) {\
Type* newp=new Type(name, title, nbinsx, xlow, xup, nbinsy, ylow, yup);return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define TH2F_DEF_ACCESSOR(Type) \



TH2_DECL_VIRT(TH2F)
TARRAYF_DECL_VIRT(TH2F)
TH1_DECL_VIRT(TH2F)
TNAMED_DECL_VIRT(TH2F)
TATTLINE_DECL_VIRT(TH2F)
TATTFILL_DECL_VIRT(TH2F)
TATTMARKER_DECL_VIRT(TH2F)
TOBJECT_DECL_VIRT(TH2F)
DELETABLE_DECL_VIRT(TH2F)
TARRAY_DECL_VIRT(TH2F)
TH2F_DECL_VIRT(TH2F)
TH2F_DECL_NONVIRT(TH2F)
TH2F_DECL_ACCESSOR(TH2F)

#ifdef __cplusplus
}
#endif

